Page MenuHomePhabricator

Pull together relevant statistics and metrics about non-WMF MediaWiki Usage
Closed, ResolvedPublic

Description

Please pull together information about downloads (and other metrics that you, dear reader, can think of.

**Can we get any stats on extensions from git? github, gerrit, etc.? the above is only from ExtensionDistributor

Event Timeline

Ckoerner created this task.May 24 2015, 7:56 PM
Ckoerner assigned this task to MarkAHershberger.
Ckoerner raised the priority of this task from to Needs Triage.
Ckoerner updated the task description. (Show Details)
Ckoerner added a subscriber: Ckoerner.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 7:56 PM

See partial, ugly, mockup idea here: M59

We should probably determine a range of dates we want for these metrics. A consistent range would be useful for comparisons and overlaying data (say downloads of MediaWiki proper alongside extensions, with new releases highlighted on a timeline.

I recommend at least the last 6 months, but a solid year of data would be desirable.

Additionally, here's a few other sources of statistics that are independent of our research that might provide useful insight.

http://w3techs.com/technologies/details/cm-mediawiki/all/all

http://trends.builtwith.com/cms/MediaWiki/Market-Share

http://trends.builtwith.com/cms/MediaWiki

RHeigl added a subscriber: RHeigl.Jun 11 2015, 3:38 PM

+1 one year would be great. should we try to get the data of from 1. 1. 2014 to 31. 12. 2014?

(sorry for multiple emails, trying to figure out phabricator and email)

Erik,

Since you know everything about statistics in Wikimedia, could you point
me to the right person to find more information about MediaWiki
downloads?

See this Phabricator (where this email is copied) for more information
on what we're after: https://phabricator.wikimedia.org/T100221

Please use reply-all so that any information (even none) you provide is
automatically recorded.

Thanks,

Mark.

MarkAHershberger added a subscriber: ezachte.

Removed as spam.... sigh.

@MarkAHerschberger sorry can't help you with this

@MarkAHershberger Do you think this is done for now? Do we want to gather further statistics? A small *chuckle* idea might be trying to figure out a way to automate the availability of this information for future analysis.

Ckoerner writes:

@MarkAHershberger Do you think this is done for now? Do we want to
gather further statistics? A small *chuckle* idea might be trying to
figure out a way to automate the availability of this information for
future analysis.

Yes, this is a good first result. Further "small" ideas should get
their own ticket.

MarkAHershberger closed this task as Resolved.Aug 11 2015, 11:39 AM